#include <stdio.h>

#include "etslib.h"

int ret = 0;

int main(int argc, char* argv[])
{
  int fd;
  struct termios t;
  int ret;

  if (argc != 2)
    {
      fprintf(stderr, "You did not specify device.\n");
      return 1;
    }

  fd = tty_open(argv[1], &t);
  if (fd < 0)
    {
      fprintf(stderr, "Could not open device.\n");
      return 2;
    }
  
  if (ets_connect(fd))
    {
      printf("Found ETS: %c%c%c%c\n", ets_identification[4], ets_identification[5], ets_identification[6], ets_identification[7]);
      printf("Firmware version: %c.%c%c\n", ets_identification[0], ets_identification[1], ets_identification[3]+16);
    }
  else
    {
      fprintf(stderr, "Could not find ETS.\n");
      ret = 1;
    }

  tty_close(fd, &t);

  return ret;
}
